summaryrefslogtreecommitdiff
path: root/cryptominisat5/cryptominisat-5.6.3/scripts/aws/build_drat-trim2.sh
diff options
context:
space:
mode:
Diffstat (limited to 'cryptominisat5/cryptominisat-5.6.3/scripts/aws/build_drat-trim2.sh')
-rwxr-xr-xcryptominisat5/cryptominisat-5.6.3/scripts/aws/build_drat-trim2.sh30
1 files changed, 30 insertions, 0 deletions
diff --git a/cryptominisat5/cryptominisat-5.6.3/scripts/aws/build_drat-trim2.sh b/cryptominisat5/cryptominisat-5.6.3/scripts/aws/build_drat-trim2.sh
new file mode 100755
index 000000000..1b1b524b1
--- /dev/null
+++ b/cryptominisat5/cryptominisat-5.6.3/scripts/aws/build_drat-trim2.sh
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -e
+
+# Copyright (C) 2018 Mate Soos
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; version 2
+# of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+cd /home/ubuntu
+git clone https://github.com/msoos/drat-trim.git
+cd drat-trim
+cmake .
+make
+
+#binary is now at:
+# drat-trim/drat-trim
+
+cd /home/ubuntu
generated by cgit on debian on lair
contact matthew@masot.net with questions or feedback